
Katello - Bug #6946

Update organization extensions to disallow modifying label

08/05/2014 03:24 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/464
Description

The current organization extensions will allow the user to modify the organization label attribute; however, this should be a read-only

field, since changing changing it has negative implications on other aspects of the system (e.g. repo names).

This issue is to update the organization model to disallow this.

Associated revisions

Revision 82118cda - 09/23/2014 03:44 PM - Partha Aji

Fixes #6946: Update organization to disallow modifying label

Changed code to disallow updating any entity's label at the model level

Revision 39293129 - 09/24/2014 02:43 PM - Partha Aji

Merge pull request #4647 from parthaa/new-label

Fixes #6946: Update organization to disallow modifying label

History

#1 - 08/06/2014 06:55 AM - Eric Helms

- Target version set to 54

- translation missing: en.field_release set to 13

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#3 - 08/21/2014 02:26 PM - Partha Aji

- Assignee set to Partha Aji

#4 - 09/08/2014 08:12 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/09/2014 06:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4647 added

- Pull request deleted ()

#6 - 09/24/2014 03:01 PM - Partha Aji
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|82118cda0e429af543672736862aac3e3f6f1379.
